MCP Tools Reference: managedkafka

Tool: get_connect_cluster

Get the details of an existing Google Cloud Managed service for Apache Kafka Connect cluster. Please provide the Project ID, Location, and Connect Cluster ID.

The following sample demonstrate how to use curl to invoke the get_connect_cluster MCP tool.

Curl Request
                  
curl --location 'https://managedkafka.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_connect_cluster",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request for GetConnectCluster.

GetConnectClusterRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the Kafka Connect cluster whose configuration to return. Structured like projects/{project}/locations/{location}/connectClusters/{connect_cluster_id}.

Output Schema

An Apache Kafka Connect cluster deployed in a location.

ConnectCluster

JSON representation
{
  "name": string,
  "kafkaCluster": string,
  "createTime": string,
  "updateTime": string,
  "labels": {
    string: string,
    ...
  },
  "capacityConfig": {
    object (CapacityConfig)
  },
  "state": enum (State),
  "config": {
    string: string,
    ...
  },

  // Union field platform_config can be only one of the following:
  "gcpConfig": {
    object (ConnectGcpConfig)
  }
  // End of list of possible types for union field platform_config.

  // Union field _satisfies_pzi can be only one of the following:
  "satisfiesPzi": boolean
  // End of list of possible types for union field _satisfies_pzi.

  // Union field _satisfies_pzs can be only one of the following:
  "satisfiesPzs": boolean
  // End of list of possible types for union field _satisfies_pzs.
}
Fields
name

string

Identifier. The name of the Kafka Connect cluster. Structured like: projects/{project_number}/locations/{location}/connectClusters/{connect_cluster_id}

kafkaCluster

string

Required. Immutable. The name of the Kafka cluster this Kafka Connect cluster is attached to. Structured like: projects/{project}/locations/{location}/clusters/{cluster}

createTime

string (Timestamp format)

Output only. The time when the cluster was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. The time when the cluster was last updated.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

labels

map (key: string, value: string)

Optional. Labels as key value pairs.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

capacityConfig

object (CapacityConfig)

Required. Capacity configuration for the Kafka Connect cluster.

state

enum (State)

Output only. The current state of the Kafka Connect cluster.

config

map (key: string, value: string)

Optional. Configurations for the worker that are overridden from the defaults. The key of the map is a Kafka Connect worker property name, for example: exactly.once.source.support.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

Union field platform_config. Platform specific configuration properties for a Kafka Connect cluster. platform_config can be only one of the following:
gcpConfig

object (ConnectGcpConfig)

Required. Configuration properties for a Kafka Connect cluster deployed to Google Cloud Platform.

Union field _satisfies_pzi.

_satisfies_pzi can be only one of the following:

satisfiesPzi

boolean

Output only. Reserved for future use.

Union field _satisfies_pzs.

_satisfies_pzs can be only one of the following:

satisfiesPzs

boolean

Output only. Reserved for future use.

ConnectGcpConfig

JSON representation
{
  "accessConfig": {
    object (ConnectAccessConfig)
  },
  "secretPaths": [
    string
  ]
}
Fields
accessConfig

object (ConnectAccessConfig)

Required. Access configuration for the Kafka Connect cluster.

secretPaths[]

string

Optional. Secrets to load into workers. Exact SecretVersions from Secret Manager must be provided -- aliases are not supported. Up to 32 secrets may be loaded into one cluster. Format: projects//secrets//versions/

ConnectAccessConfig

JSON representation
{
  "networkConfigs": [
    {
      object (ConnectNetworkConfig)
    }
  ]
}
Fields
networkConfigs[]

object (ConnectNetworkConfig)

Required. Virtual Private Cloud (VPC) networks that must be granted direct access to the Kafka Connect cluster. Minimum of 1 network is required. Maximum 10 networks can be specified.

ConnectNetworkConfig

JSON representation
{
  "primarySubnet": string,
  "additionalSubnets": [
    string
  ],
  "dnsDomainNames": [
    string
  ]
}
Fields
primarySubnet

string

Required. VPC subnet to make available to the Kafka Connect cluster. Structured like: projects/{project}/regions/{region}/subnetworks/{subnet_id}

It is used to create a Private Service Connect (PSC) interface for the Kafka Connect workers. It must be located in the same region as the Kafka Connect cluster.

The CIDR range of the subnet must be within the IPv4 address ranges for private networks, as specified in RFC 1918. The primary subnet CIDR range must have a minimum size of /22 (1024 addresses).

additionalSubnets[]
(deprecated)

string

Optional. Deprecated: Managed Kafka Connect clusters can now reach any endpoint accessible from the primary subnet without the need to define additional subnets. Please see https://cloud.google.com/managed-service-for-apache-kafka/docs/connect-cluster/create-connect-cluster#worker-subnet for more information.

dnsDomainNames[]

string

Optional. Additional DNS domain names from the subnet's network to be made visible to the Connect Cluster. When using MirrorMaker2, it's necessary to add the bootstrap address's dns domain name of the target cluster to make it visible to the connector. For example: my-kafka-cluster.us-central1.managedkafka.my-project.cloud.goog

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

CapacityConfig

JSON representation
{
  "vcpuCount": string,
  "memoryBytes": string
}
Fields
vcpuCount

string (int64 format)

Required. The number of vCPUs to provision for the cluster. Minimum: 3.

memoryBytes

string (int64 format)

Required. The memory to provision for the cluster in bytes. The CPU:memory ratio (vCPU:GiB) must be between 1:1 and 1:8. Minimum: 3221225472 (3 GiB).

ConfigEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌